Subject: bug#22207: emacs-25 mishandles info code text on Fedora 23

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Dec 2015 22:32:34 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 18 Dec 2015 14:49:15 -0500
> 
> Eli Zaretskii wrote:
> 
> >> Info-quoted face specifies Courier font.
> >> I still don't think it's a good idea.
> >
> > Yes, this is a deliberate feature.  Perhaps we should make it
> > dependent on a defcustom.
> 
> A face is a customizable object.

How many Emacs users will know what change to make in a face to have
@code{} display like the normal text?

What I had in mind was a binary option telling Emacs whether to use a
distinct face for @code.  I think this is way easier to customize than
a face's font.

> Emacs wants a monospace/typewriter style font.
> "Sans mono" may be a better default, but I'm sure that will be wrong
> sometimes too. Can Emacs do the equivalent of
> 
> fc-match "Monospace"

How will that help?  Someone, somewhere will still dislike the result.

But yes, Emacs can do this: call x-family-fonts with no arguments, and
then filter the returned list to retain only those fonts whose FIXED-P
element is t.